org.bdgenomics.adam.algorithms.consensus

# ConsensusGeneratorFromKnowns

#### class ConsensusGeneratorFromKnowns extends ConsensusGenerator

Linear Supertypes
ConsensusGenerator, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ConsensusGeneratorFromKnowns
2. ConsensusGenerator
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ConsensusGeneratorFromKnowns(file: String, sc: SparkContext)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def findConsensus(reads: Iterable[RichAlignmentRecord]): Iterable[Consensus]

    For all reads in this region, generates the list of consensus sequences for realignment.

    For all reads in this region, generates the list of consensus sequences for realignment.

    reads

      Reads to generate consensus sequences from.

    returns

      Consensus sequences to use for realignment.

    Definition Classes
      ConsensusGeneratorFromKnowns → ConsensusGenerator

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### val indelTable: Broadcast[IndelTable]

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def preprocessReadsForRealignment(reads: Iterable[RichAlignmentRecord], reference: String, region: ReferenceRegion): Iterable[RichAlignmentRecord]

    Performs any preprocessing specific to this consensus generation algorithm, e.

    Performs any preprocessing specific to this consensus generation algorithm, e.g., indel normalization.

    reads

      Reads to preprocess.

    returns

      Preprocessed reads.

    Definition Classes
      ConsensusGeneratorFromKnowns → ConsensusGenerator

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def targetsToAdd(): Option[RDD[IndelRealignmentTarget]]

    Generates targets to add to initial set of indel realignment targets, if additional targets are necessary.

    Generates targets to add to initial set of indel realignment targets, if additional targets are necessary.

    returns

      Returns an option which wraps an RDD of indel realignment targets.

    Definition Classes
      ConsensusGeneratorFromKnowns → ConsensusGenerator

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ConsensusGenerator

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped